Skip to main content
`Ctrl`+`K`

# pandas.DatetimeTZDtype

class pandas.DatetimeTZDtype(unit='ns', tz=None)

  An ExtensionDtype for timezone-aware datetime data.

  This is not an actual numpy dtype, but a duck type.

  Parameters:
    unit str, default “ns”

      The precision of the datetime data. Currently limited to `"ns"`.

    tz str, int, or datetime.tzinfo

      The timezone.

  Attributes

  `unit` | The precision of the datetime data.
  `tz` | The timezone.

  Methods

  None |

  Raises:
    ZoneInfoNotFoundError

      When the requested timezone cannot be found.

  Examples

      >>> from zoneinfo import ZoneInfo
      >>> pd.DatetimeTZDtype(tz=ZoneInfo('UTC'))
      datetime64[ns, UTC]

      >>> pd.DatetimeTZDtype(tz=ZoneInfo('Europe/Paris'))
      datetime64[ns, Europe/Paris]